;;; Plugin  : lizard-breath.scm
;;; Author  : Rod Detmer
;;; Date    : August 14th 2012
;;; Revision: v-01
;;; 					
;;; Version : v-01
;;; Latest version at: http://www.gimpchat.com
;;; Required : Gimp 2.8 or later
;;;
;;; Description: 
;;; Creates a reptile text effect on a user created selected text layer
;;; -----------------------------------------------------------------------------
;;; Change Log:
;;; Version-1.0
;;;
; Information can be found at http://www.gimpchat.com or http://www.simplygimp.com
;
; License: GPLv3
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; GNU General Public License for more details.
;
; To view a copy of the GNU General Public License
; visit: http://www.gnu.org/licenses/gpl.html

(define (script-fu-lizard-breath image layer ScaleSize ScaleShape)
  (gimp-image-undo-group-start image)
  (gimp-image-select-item image 0 layer)
  (gimp-context-set-foreground '(35 115 10))
  (gimp-context-set-background '(0 0 0))    
  (gimp-edit-fill layer 0)
  (gimp-layer-resize-to-image-size layer)
  (plug-in-mosaic RUN-NONINTERACTIVE image layer ScaleSize 4 2 0.6 0 120 0.2 0 0 ScaleShape 0 1)  
  (gimp-by-color-select layer '(35 115 10) 15 0 1 0 0 1)
  (plug-in-emboss RUN-NONINTERACTIVE image layer 120 30 5 0)
  (gimp-selection-none image)
  (plug-in-neon RUN-NONINTERACTIVE image layer 1.75 0.25) 
  (gimp-context-set-background '(255 255 255))
  (gimp-context-set-foreground '(0 0 0))
  (gimp-image-select-item image 0 layer)  
  (gimp-selection-grow image 2)
  (gimp-selection-border image 2)
  (gimp-context-set-background '(0 0 0)) 
  (gimp-context-set-foreground '(200 215 20))  
  (gimp-edit-fill layer 0)    
  (python-layer-fx-drop-shadow 1 image layer '(0 0 0) 69 0 0 0 7 7 120 5 0 0)
  (gimp-context-set-background '(255 255 255)) 
  (gimp-context-set-foreground '(0 0 0))
  (gimp-selection-none image)  
  (gimp-image-undo-group-end image)  
  (gimp-displays-flush image)  
    
)


    ;register menu location and information	

(script-fu-register
 "script-fu-lizard-breath"
 "<Image>/Script-Fu/Text Effects/lizard-breath"
 "creates a reptilian scales effect from a text layer"
 "Rod Detmer"
 "Rod Detmer"
 "August 2012" 
 "RGB* GRAY*"
 SF-IMAGE       "The Image" 0
 SF-DRAWABLE    "The Layer" 0
 SF-ADJUSTMENT  "Scale Size"            '(13 5 100 1 10 0 SF-SLIDER) 
 SF-OPTION      "Scale Shape"           '( "Hexagons" ;1
                                           "Squares" ;0
                                           "Octagons and Squares" ;2
                                           "Triangles" ;3
										  ) 
)										  