;;; Plugin  : reptile-text.scm
;;; Author  : Rod Detmer
;;; Date    : August 14th 2012
;;; Revision: v-01
;;; 					
;;; Version : v-01
;;; Latest version at: http://www.gimpchat.com
;;; Required : Gimp 2.8 or later
;;;
;;; Description: 
;;; Creates a reptile text effect on a user created selected text layer
;;; -----------------------------------------------------------------------------
;;; Change Log:
;;; Version-1.0
;;;
; Information can be found at http://www.gimpchat.com or http://www.simplygimp.com
;
; License: GPLv3
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; GNU General Public License for more details.
;
; To view a copy of the GNU General Public License
; visit: http://www.gnu.org/licenses/gpl.html

(define (script-fu-reptile-text image layer ScaleSize ScaleShape)
  (gimp-image-undo-group-start image)
  
  (gimp-context-set-background '(15 90 195))
  (gimp-context-set-foreground '(35 115 10))  
  (gimp-image-select-item image 0 layer)
  (gimp-edit-fill layer 0)
  (gimp-layer-resize-to-image-size layer)
  (gimp-context-set-background '(25 40 5)) 
  (plug-in-mosaic RUN-NONINTERACTIVE image layer ScaleSize 4 2 0.6 0 120 0.2 0 0 ScaleShape 0 1)
  (gimp-selection-none image)
  (gimp-by-color-select layer '(35 115 10) 15 0 1 0 0 1)
  ;(python-layer-fx-bevel-emboss 1 image layer 3 100 0 23 0 120.0 30 1 '(255 255 255) 4 69 '(0 0 0) 3 49 0 1 "3 point tile" 0 0 1 1)  
  (plug-in-emboss RUN-NONINTERACTIVE image layer 120 30 5 0)
  (gimp-by-color-select layer '(0 0 0) 15 0 1 0 0 1)
  ;(python-layer-fx-gradient-overlay 1 image layer "FG to BG (HSV clockwise hue)" 0 0 1 70 18 400 150 45 800 0)     
  (plug-in-emboss RUN-NONINTERACTIVE image layer 120 30 3 0)  
  (gimp-layer-set-mode layer 18)  



  (plug-in-neon RUN-NONINTERACTIVE image layer 1.75 0.25) 
  (gimp-layer-set-mode layer 0) 
  (gimp-image-select-item image 0 layer)  
  (gimp-selection-grow image 2)
  (gimp-selection-border image 2)
  (gimp-context-set-background '(0 0 0)) 
  (gimp-context-set-foreground '(200 215 20))  
  (gimp-edit-fill layer 0)
  (gimp-selection-none image) 
  (gimp-context-set-background '(255 255 255))
  (gimp-context-set-foreground '(0 0 0)) 
  (plug-in-neon RUN-NONINTERACTIVE image layer 1.29 0.53)     
  (python-layer-fx-drop-shadow 1 image layer '(0 0 0) 69 0 0 0 7 7 120 5 0 0)


  (gimp-image-undo-group-end image)  
  (gimp-displays-flush image)  
	
)

    ;register menu location and information	

(script-fu-register
 "script-fu-reptile-text"
 "<Image>/Script-Fu/Text Effects/Reptile Text"
 "creates a reptilian scales effect from a text layer"
 "Rod Detmer"
 "Rod Detmer"
 "August 2012" 
 "RGB* GRAY*"
 SF-IMAGE       "The Image" 0
 SF-DRAWABLE    "The Layer" 0
 SF-ADJUSTMENT  "Scale Size"            '(13 5 100 1 10 0 SF-SLIDER) 
 ;SF-ADJUSTMENT  "Shadow Blur"           '(7 0 250 1 10 0 SF-SLIDER)
 ;SF-ADJUSTMENT  "Shadow Angle"          '(120 -180 180 1 10 0 SF-SLIDER)
 ;SF-ADJUSTMENT  "Shadow Distance"       '(5 0 30000 SF-SPINNER)
 ;SF-ADJUSTMENT  "Shadow y direction"    '(5 -2000 2000 SF-SPINNER)
 ;SF-COLOR       "Shadow Color"          '(0 0 0)
 ;SF-ADJUSTMENT  "Shadow Opacity"        '(69 0 100 1 10 0 SF-SLIDER)
 ;SF-ADJUSTMENT  "Shadow Spread"         '(5 0 100 1 10 0 SF-SLIDER) 
 ;SF-COLOR       "Stroke Color"          '(15 213 188)

 ;SF-ADJUSTMENT  "Scale Spacing (px)"    '(2 1 50 1 10 0 SF-SPINNER) 
 SF-OPTION      "Scale Shape"           '( "Hexagons" ;1
                                           "Squares" ;0
                                           "Octagons and Squares" ;2
                                           "Triangles" ;3
										  ) 
) 
